> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getello.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Agent

> Updates an existing agent by ID.



## OpenAPI

````yaml /api-reference/openapi.json put /api/agents/{agent_id}
openapi: 3.1.0
info:
  title: Ello.AI API
  description: API for managing agents and calls in Ello.AI
  version: 1.0.0
servers:
  - url: https://api.getello.ai/
security: []
paths:
  /api/agents/{agent_id}:
    put:
      tags:
        - Agents
      summary: Update Agent
      description: Updates an existing agent by ID.
      operationId: updateAgent
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              minProperties: 1
              required:
                - type
              example: {}
              properties:
                workspaceId:
                  type: string
                  example: 6970c2f3948cfbce1932d99d
                name:
                  type: string
                  example: Updated Agent
                type:
                  type: string
                  enum:
                    - inbound
                    - outbound
                    - chat
                    - hybrid
                  example: inbound
                category:
                  type: string
                  example: general
                description:
                  type: string
                  example: AI assistant for voice calls
                image:
                  type: string
                  example: '1'
                features:
                  type: array
                  items:
                    type: string
                  example: []
                popularity:
                  type: integer
                  example: 0
                voiceConfig:
                  type: object
                  properties:
                    provider:
                      type: string
                      example: elevenlabs
                    voiceId:
                      type: string
                      example: pwMBn0SsmN1220Aorv15
                    language:
                      type: string
                      example: en-IN
                    patienceLevel:
                      type: integer
                      example: 1
                    speed:
                      type: number
                      example: 1
                    pitch:
                      type: number
                      example: 1
                    latency:
                      type: number
                      example: 0.5
                    stability:
                      type: number
                      example: 0.5
                    styleExaggeration:
                      type: number
                      example: 0
                    similarity:
                      type: number
                      example: 0.8
                    voicePromptType:
                      type: string
                      nullable: true
                      example: null
                    voicePrompt:
                      type: string
                      nullable: true
                      example: null
                    numberOfWords:
                      type: integer
                      example: 0
                    voiceSeconds:
                      type: number
                      example: 0.2
                    backOfSeconds:
                      type: number
                      example: 0.1
                aiModel:
                  type: object
                  properties:
                    provider:
                      type: string
                      example: openai
                    model:
                      type: string
                      example: gpt-4o
                    temperature:
                      type: number
                      example: 0.7
                    maxTokens:
                      type: integer
                      example: 200
                llmConfig:
                  type: object
                  properties:
                    provider:
                      type: string
                      example: openai_responses
                    model:
                      type: string
                      example: gpt-4o
                    temperature:
                      type: number
                      minimum: 0
                      maximum: 2
                      example: 0.7
                    maxTokens:
                      type: integer
                      minimum: 1
                      example: 200
                sttConfig:
                  type: object
                  properties:
                    provider:
                      type: string
                      example: deepgram
                    model:
                      type: string
                      example: nova-2
                    utterance_end_ms:
                      type: integer
                      minimum: 0
                      example: 1500
                    on_punctuation_second:
                      type: number
                      minimum: 0
                      example: 0
                    vadEnabled:
                      type: boolean
                      example: false
                    ncEnabled:
                      type: boolean
                      example: false
                    vad_detection:
                      type: boolean
                      example: false
                    keywords:
                      type: array
                      items:
                        type: string
                      example: []
                    keyterms:
                      type: array
                      items:
                        type: string
                      example: []
                    waitseconds:
                      type: number
                      example: 1.2
                voicemailConfig:
                  type: object
                  properties:
                    isEnabled:
                      type: boolean
                      example: false
                    message:
                      type: string
                      nullable: true
                      example: null
                backChannelConfig:
                  type: object
                  properties:
                    isEnabled:
                      type: boolean
                      example: false
                    frequency:
                      type: number
                      example: 0.5
                    backchannelWords:
                      type: array
                      items:
                        type: string
                      example: []
                timeoutConfig:
                  type: object
                  properties:
                    silenceTimeout:
                      type: number
                      example: 30
                    maximumDuration:
                      type: number
                      example: 600
                callConfig:
                  type: object
                  properties:
                    timeZone:
                      type: string
                      example: UTC
                    maxDuration:
                      type: integer
                      example: 600
                    voicemailDetection:
                      type: object
                      properties:
                        enabled:
                          type: boolean
                          example: true
                        type:
                          type: string
                          example: ml-based
                    recordingEnabled:
                      type: boolean
                      example: true
                    transcriptionEnabled:
                      type: boolean
                      example: true
                    speakerBoost:
                      type: boolean
                      example: false
                    idleReminders:
                      type: array
                      minItems: 2
                      maxItems: 2
                      items:
                        oneOf:
                          - type: boolean
                          - type: number
                      example:
                        - false
                        - 0.75
                    limitCallDuration:
                      type: array
                      minItems: 2
                      maxItems: 2
                      items:
                        oneOf:
                          - type: boolean
                          - type: number
                      example:
                        - false
                        - 20
                    backGroundNoiseEnv:
                      type: string
                      nullable: true
                      example: null
                    backGroundNoiseLevel:
                      type: string
                      nullable: true
                      example: null
                    backGroundNoiseThreshold:
                      type: number
                      example: 0.75
                    backGroundNoiseTimeout:
                      type: integer
                      example: 10
                    backGroundNoiseTimeoutThreshold:
                      type: number
                      example: 0.75
                    backGroundNoiseTimeoutInterval:
                      type: integer
                      example: 10
                fillerWords:
                  type: boolean
                  example: false
                customVocabulary:
                  type: array
                  items:
                    type: string
                  example: []
                timezone:
                  type: string
                  example: Asia/Kolkata
                greeting:
                  type: string
                  example: Hi! How can I assist you today?
                prompt:
                  type: string
                  example: >-
                    You are a helpful AI assistant focused on providing accurate
                    and friendly responses.
                knowledgeBases:
                  type: array
                  items:
                    type: string
                  example: []
                actions:
                  type: array
                  items:
                    type: string
                  example: []
                deployment:
                  type: object
                  properties:
                    status:
                      type: string
                      enum:
                        - draft
                        - deploying
                        - active
                        - failed
                      example: draft
                    version:
                      type: integer
                      example: 1
                    deployedAt:
                      type: string
                      format: date-time
                      nullable: true
                      example: '2026-04-03T10:14:04.349000Z'
                    lastUpdated:
                      type: string
                      format: date-time
                      example: '2026-04-03T10:14:04.349000Z'
                    error:
                      type: string
                      nullable: true
                      example: null
                stats:
                  type: object
                  properties:
                    totalCalls:
                      type: integer
                      example: 0
                    successRate:
                      type: number
                      example: 1
                    avgCallDuration:
                      type: number
                      example: 0
                    lastCallAt:
                      type: string
                      format: date-time
                      nullable: true
                      example: null
                templateCategory:
                  type: string
                  nullable: true
                  example: null
                industry:
                  type: string
                  nullable: true
                  example: null
                recommendedActions:
                  type: array
                  items:
                    type: string
                  example: []
                localisedPrompt:
                  type: string
                  example: Localized prompt text
                multiLingual:
                  type: boolean
                  example: false
                primaryLanguage:
                  type: string
                  example: en
                secondaryLanguages:
                  type: array
                  items:
                    type: string
                  example:
                    - hi
                dynamic_variables:
                  type: array
                  items:
                    type: string
                  example: []
                status:
                  type: boolean
                  example: true
      responses:
        '200':
          description: Agent updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 200
                  message:
                    type: string
                    example: Assistant (simple) updated successfully
                  data:
                    type: object
                    example:
                      _id: 69cf92ec643b415327cab0ae
                      workspaceId: 6970c2f3948cfbce1932d99d
                      userId: 6970c2f3948cfbce1932d99c
                      name: testing Agent
                      type: inbound
                      category:
                        - general
                      description: AI assistant for voice calls
                      voiceConfig:
                        provider: elevenlabs
                        model: eleven_flash_v2_5
                      aiModel:
                        provider: openai
                        model: gpt-4o
                      llmConfig:
                        provider: openai_responses
                        model: gpt-4o
                      status: true
                      createdAt: '2026-04-03T10:14:04.349000'
                      updatedAt: '2026-04-03T10:32:17.062000'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 400
                  message:
                    type: string
                    example: Invalid request. Please check your input.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 401
                  message:
                    type: string
                    example: Unauthorized access. Please provide valid credentials.
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 404
                  message:
                    type: string
                    example: Resource not found.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 500
                  message:
                    type: string
                    example: Something went wrong. Please try again later.
      security:
        - apiKey: []
        - bearerAuth: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````